Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemUnknown

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemUse
                        |
                        +--org.apache.xalan.templates.ElemLiteralResult
                              |
                              +--org.apache.xalan.templates.ElemUnknown

public class ElemUnknown
extends ElemLiteralResult

**For advanced use only** Implement a Literal Result Element.

See Also:
  Serialized Form

Constructor Summary
`ElemUnknown()` **For advanced use only**

Method Summary
`void` | `execute(TransformerImpl transformer, Node sourceNode, QName mode)` **For advanced use only** Copy an unknown element to the result tree

Methods inherited from class org.apache.xalan.templates.ElemLiteralResult
`addLiteralResultAttribute, addLiteralResultAttribute, containsExtensionElementURI, enumerateLiteralResultAttributes, getExtensionElementPrefix, getExtensionElementPrefixCount, getLiteralResultAttribute, getLocalName, getNamespace, getNodeName, getRawName, getXSLToken, resolvePrefixTables, setExcludeResultPrefixes, setExtensionElementPrefixes, setLocalName, setNamespace, setRawName, setVersion`

Methods inherited from class org.apache.xalan.templates.ElemUse
`getUseAttributeSets, setUseAttributeSets, setUseAttributeSets`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, compose, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getPrefixes, getPreviousSibling, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getXmlSpace, hasChildNodes, isCompiledTemplate, item, removeChild, replaceChild, runtimeInit, setDOMBackPointer, setLocaterInfo, setPrefixes, setPrefixes, setXmlSpace`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemUnknown

    public ElemUnknown()

Method Detail

### execute

    public void execute(TransformerImpl transformer,
                        Node sourceNode,
                        QName mode)
                 throws SAXException

  **For advanced use only** Copy an unknown element to the result tree
  Overrides:
    execute in class ElemLiteralResult

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.